﻿using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using Microsoft.SqlServer.Server;
using sqlserverextensions.Helper;


    public partial class UserDefinedFunctions
    {
        [Microsoft.SqlServer.Server.SqlFunction(DataAccess = DataAccessKind.Read)]
        public static SqlBoolean FileWriteAllText(SqlString path, SqlString contents)
        {
            Int16 errSeverity = 16;

            try
            {
                System.IO.File.WriteAllText(path.Value, contents.Value);
                return true;
            }

            catch (Exception ex)
            {
                ExceptionHelper.EvaluateException(ex, errSeverity);
                return false;
            }
        }
    }

