﻿using System;
using System.IO;
using System.Data.SqlTypes;
using sqlserverextensions.Helper;

    public partial class UserDefinedFunctions
    {
        [Microsoft.SqlServer.Server.SqlFunction]
        public static SqlBoolean FileCopy(SqlString sourceFileName, SqlString destFileName, SqlBoolean overwrite)
        {
            Int16 errSeverity = 16;

            try
            {
                File.Copy(sourceFileName.Value, destFileName.Value, overwrite.Value);

            }
            catch (Exception ex)
            {
                ExceptionHelper.EvaluateException(ex, errSeverity);
                return false;
            }

            return true;
        }
    }

