﻿using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using Microsoft.SqlServer.Server;
using sqlserverextensions.Helper;

    public partial class UserDefinedFunctions
    {
        [Microsoft.SqlServer.Server.SqlFunction]
        public static SqlString Remove(SqlString value, SqlInt16 startIndex, SqlInt16 count)
        {
            Int16 errSeverity = 16;

            try
            {
                if (count.IsNull)
                    return value.Value.Remove(startIndex.Value - 1);
                else
                    return value.Value.Remove(startIndex.Value - 1, count.Value);
            }
            catch (Exception ex)
            {
                ExceptionHelper.EvaluateException(ex, errSeverity);
                return null;
            }
        }
    }

